/// <reference types="react" />
import type { ChapterElement } from '../provider/chapters/shared/types';
import type { SubtitlesProps } from '../provider/subtitles/shared/types';
import type { EventsConfig } from '../shared/types';
interface ConfigType {
    title: string;
    withHeader: boolean;
    accessToken: string;
    thumbnails: string;
    events: EventsConfig;
    poster: string;
    posterFallback: string;
    subtitles: SubtitlesProps;
    chapters: ChapterElement[];
    linkToVideo: string;
    onDragSeekEnd: (value: number) => void;
    isEmbedded: boolean;
}
export declare const ConfigContext: import("react").Context<ConfigType>;
export {};
