import type { Quartile } from './helpers';
import type { Events } from './types';
export declare const getCurrentHref: () => string;
export declare const getCurrentRefUserId: () => string;
export declare const getCurrentSource: () => string;
export declare const getCurrentRef: () => string;
export declare const sendEvent: (params: {
    user_id?: string;
    event: Events;
    payload: {
        quartile?: Quartile;
        value?: never;
        videoid?: string;
    };
}) => Promise<void>;
export declare const sendEventWithTimeout: (params: {
    user_id?: string;
    event: Events;
    payload: {
        timing?: number;
        quartile?: Quartile;
        value?: never;
        videoid?: string;
        embedded_player?: boolean;
    };
}) => void;
